[alsa-devel] [PATCH] wss-lib: move AD1845 frequency setting into wss-lib

Krzysztof Helt krzysztof.h1 at poczta.fm
Sun Jan 11 04:48:12 CET 2009

On Fri, 9 Jan 2009 23:10:52 +0100
Krzysztof Helt <krzysztof.h1 at poczta.fm> wrote:

> From: Krzysztof Helt <krzysztof.h1 at wp.pl>
> This is required to allow the sscape driver
> to autodetect installed codec.
> Also, do not create a timer if detected codec
> has no hardware timer (e.g. AD1848).
> Signed-off-by: Krzysztof Helt <krzysztof.h1 at wp.pl>
> Cc: Rene Herman
> ---
> Ted, please test if the patch helps to make your Soundscape Elite
> card working. If not the patch is required anyway as your last feedback
> showed that frequency setting is incorrect in the sscape driver if
> the codec is not the AD1845.

Ted has confirmed that it makes the Soundscape Elite working (only
audio part, no MIDI yet).


Promocja w Speak Up. Kwartal angielskiego za darmo. 
3 miesiace nauki gratis. Sprawdz teraz! >> http://link.interia.pl/f2019

More information about the Alsa-devel mailing list